;;; auctex-view-local.el
;;
;; Customize view program for Mac OS X environment
;; once auctex/tex.el is loaded.
;;
(eval-after-load 'tex
  '(when (or (eq window-system 'ns) (eq window-system 'mac)) ; Mac OS X
     (add-to-list 'TeX-view-predicate-list '((style-makeable-graphicx
                                              (and (TeX-match-style "^graphicx$")
                                                   (or (file-exists-p "makefile")
                                                       (file-exists-p "Makefile"))))))
     (add-to-list 'TeX-view-program-list '("dvips and osx open"  "%(o?)dvips %d -o && ps2pdf %f && open %a"))
     (add-to-list 'TeX-view-program-list '("dvipdf and osx open" "%(o?)dvipdf %d -o && open %a"))
     (add-to-list 'TeX-view-program-list '("make and osx open"   "%(o?)make %M && open %a"))
     (add-to-list 'TeX-view-program-list '("osx open" "open %o"))
     (add-to-list 'TeX-view-program-selection '(output-pdf "osx open"))
     (add-to-list 'TeX-view-program-selection '(output-dvi "dvipdf and osx open"))
     (add-to-list 'TeX-view-program-selection '((output-dvi style-pstricks) "dvips and osx open"))
     (add-to-list 'TeX-view-program-selection '((output-dvi style-makeable-graphicx) "make and osx open"))))

